package com.demo.entity.po;
import org.springframework.data.mongodb.core.mapping.Document;


/**
 * 传感器信息
 */
@Document(collection="SensorInfo")
public class SensorInfo {

    private String reyunId;
    private Long timestamp;
    private String sensorInfo;
    private String os;

    public SensorInfo() {
    }

    public SensorInfo(String reyunId, Long timestamp, String sensorInfo, String os) {
        this.reyunId = reyunId;
        this.timestamp = timestamp;
        this.sensorInfo = sensorInfo;
        this.os = os;
    }

    public String getReyunId() {
        return reyunId;
    }

    public void setReyunId(String reyunId) {
        this.reyunId = reyunId;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    public String getSensorInfo() {
        return sensorInfo;
    }

    public void setSensorInfo(String sensorInfo) {
        this.sensorInfo = sensorInfo;
    }

    public String getOs() {
        return os;
    }

    public void setOs(String os) {
        this.os = os;
    }
}
